Skip to main content

FormsResponse

Response schema for a list of forms

data object[]required
  • Array [
  • created_atstring<datetime>required

    When the form was created.

    field_countintegerrequired

    The number of fields in the form.

    fields object[]nullable

    The fields in the form when expanded.

  • Array [
  • descriptionstringnullable

    Optional help text displayed below the field.

    idstring

    Unique identifier for the field.

    keystringrequired

    Machine-readable key for the field. Must start with a lowercase letter and contain only lowercase letters, numbers, and underscores.

    Possible values: Value must match regular expression ^[a-z][a-z0-9_]*$

    labelstringrequired

    Display label for the field.

    must_be_trueboolean

    For boolean fields, whether the value must be true (e.g., consent checkboxes).

    options objectnullable

    Options configuration for choice-type fields.

    oneOf
    allow_otherbooleanrequired

    Whether to allow a free-text 'other' option.

    choices object[]required

    List of available choices.

  • Array [
  • idstringrequired

    Unique identifier for the choice.

    labelstringrequired

    Display label for the choice.

  • ]
  • positionintegerrequired

    Display position of the field within the form.

    requiredboolean

    Whether the field is required.

    sensitiveboolean

    Whether the field contains sensitive data.

    typestringrequired

    The field type.

    Possible values: [short_text, long_text, email, phone, boolean, radio, select, checkbox]

  • ]
  • idstringrequired

    Unique identifier for the form.

    Possible values: Value must match regular expression ^frm_\w{12}$

    internal_namestringrequired

    The name of the form.

    objectstringrequired

    String representing the object's type.

    Possible values: [form]

    updated_atstring<datetime>required

    When the form was last updated.

  • ]
  • meta objectrequired

    Metadata for paginated responses

    current_pageintegerrequired

    Current page number

    page_sizeintegerrequired

    Number of records per page

    total_countintegerrequired

    Total number of records

    total_pagesintegerrequired

    Total number of pages

    FormsResponse
    {
    "data": [
    {
    "created_at": "2025-02-17T17:49:19Z",
    "field_count": 3,
    "fields": null,
    "id": "frm_d025a96ac0c6",
    "internal_name": "Intake Form",
    "object": "form",
    "updated_at": "2025-02-17T17:49:19Z"
    }
    ],
    "meta": {
    "current_page": 1,
    "page_size": 10,
    "total_count": 50,
    "total_pages": 5
    }
    }